/*
 * A test of executing code in a new task.
 *
 * Copyright (C) 2022, 2023 Paul Boddie <paul@boddie.org.uk>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA
 */

#include <stdio.h>
#include <string.h>

/* NOTE: For inclusion in the C library. */

#include <fsclient/client.h>
#include <systypes/env.h>
#include <systypes/fcntl.h>



int main(int argc, char *argv[])
{
  int i;

  /* NOTE: For inclusion in the C library. */

  file_t *output = client_get_stream(ENV_OUTPUT_STREAM_NAME, O_WRONLY);

  /* Write the arguments to the output stream. */

  char buffer[32];

  for (i = 0; i < argc; i++)
  {
    sprintf(buffer, "Arg #%d: ", i);
    client_write(output, buffer, strlen(buffer));
    client_write(output, argv[i], strlen(argv[i]));
    client_write(output, "\n", 1);
  }

  client_write(output, "Terminating.\n", 13);

  /* NOTE: For inclusion in the C library. */

  client_flush(output);

  /* NOTE: To test process completion, the output stream is left open. */

  return 0;
}

/* vim: tabstop=2 expandtab shiftwidth=2
*/
